%define expat_version           1.95.5
%define glib2_version           2.2.0
%define dbus_version            0.20

%define lib_name %mklibname %{name} 0
%define lib_major 0

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.2.98
Release: 2mdk
URL: http://www.freedesktop.org/Software/hal
Source0: http://freedesktop.org/~david/dist/%{name}-%{version}.tar.bz2
# (fc) 0.2.6-1mdk fix lock dir location
Patch0: hal-0.2.98-lockdir.patch.bz2
Patch2: hal-0.2.90-linux-headers.patch.bz2
# (fc) 0.2.97-3mdk fix start order (Mdk bug #11404)
Patch3: hal-0.2.97-order.patch.bz2
License: AFL/GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
PreReq: rpm-helper
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel    >= %{dbus_version}
BuildRequires: libcap-devel
BuildRequires: python python-devel
BuildRequires: pciutils
BuildRequires: popt-devel
#BuildRequires: autoconf2.5
BuildRequires: glibc-static-devel
BuildRequires: ImageMagick
Requires: dbus >= %{dbus_version}
#needed to get pci.ids
Requires: pciutils 

%description

HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.


%package gnome
Summary: GNOME based device manager for HAL
Group: Graphical desktop/GNOME
Requires: %name = %{version}-%{release}
Requires: dbus-python >= %{dbus_version}
Requires: pygtk2.0-libglade >= 2.0.0
Requires: gnome-python >= 2.0.0

%description gnome
GNOME program for displaying the devices detected by HAL

%package -n %{lib_name}
Summary: Shared library for using HAL
Group: System/Libraries

%description -n %{lib_name}
HAL shared library.

%package -n %{lib_name}-devel
Summary: Libraries and headers for HAL
Group: Development/C
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
#gw got this from the pkgconfig file:
Requires: dbus-devel >= %{dbus_version}

%description -n %{lib_name}-devel

Headers and static libraries for HAL.


%prep
%setup -q
%patch0 -p1 -b .lockdir
%patch2 -p1 -b .header
%patch3 -p1 -b .order

%build

%configure2_5x --with-pid-file=%{_var}/run/haldaemon.pid

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/hal-gnome <<EOF
?package(hal-gnome): \
	command="%{_bindir}/hal-device-manager" \
	needs="X11" \
	section="Configuration/Hardware" \
	icon="hal-device-manager.png" \
	title="Device Manager" \
	longtitle="Shows information about hardware on your system" \
	startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
convert -scale 48x48 tools/device-manager/fdo-logo.png %buildroot%_liconsdir/hal-device-manager.png
convert -scale 32x32 tools/device-manager/fdo-logo.png %buildroot%_iconsdir/hal-device-manager.png
convert -scale 16x16 tools/device-manager/fdo-logo.png %buildroot%_miconsdir/hal-device-manager.png


%clean
rm -rf %{buildroot}

%triggerpostun -- hal < 0.2.97-3mdk
/sbin/chkconfig --del haldaemon
/sbin/chkconfig --add haldaemon


%pre
%_pre_useradd haldaemon / /sbin/nologin
%_pre_groupadd daemon hamdaemon

%post -n %{lib_name} -p /sbin/ldconfig

%post
%_post_service haldaemon

%preun
%_preun_service haldaemon

%postun -n %{lib_name} -p /sbin/ldconfig

%postun
%_post_service haldaemon

%post gnome
%update_menus

%postun gnome
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/hal.conf
%config(noreplace) %{_sysconfdir}/rc.d/init.d/*
%config(noreplace) %{_sysconfdir}/dev.d/default/10-hal.dev
%config(noreplace) %{_sysconfdir}/hal/hald.conf
%dir %{_sysconfdir}/hal/
%{_sbindir}/hald
%{_sbindir}/fstab-sync

%{_bindir}/lshal
%{_bindir}/hal-get-property
%{_bindir}/hal-set-property


%{_libexecdir}/hal.hotplug
%{_libexecdir}/hal.dev
%{_libexecdir}/hal-hotplug-map
%{_sysconfdir}/hotplug.d/default/20-hal.hotplug

%dir %{_datadir}/hal
%{_datadir}/hal/fdi

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*hal*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%files gnome
%defattr(-,root,root)
%{_datadir}/hal/device-manager
%{_bindir}/hal-device-manager
%_menudir/hal-gnome
%_liconsdir/hal-device-manager.png
%_iconsdir/hal-device-manager.png
%_miconsdir/hal-device-manager.png

%changelog
* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-2mdk
- fix buildrequires

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.98-1mdk
- adapt file list
- drop merged patch 1
- rediff patch 0
- New release 0.2.98

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-3mdk
- Patch3 : Start haldaemon earlier in boot process (Mdk bug #11404)

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.97-2mdk
- fix buildrequires

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.97-1mdk
- Release 0.2.97
- Remove patch 3 (merged upstream)

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.94-1mdk
- update file list
- fix build
- New release 0.2.94

* Fri Jul  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.93-1mdk
- add configuration file
- fix URL
- reenable libtooize
- patch2 to fix build
- new version

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-3mdk
- remove device manager from main package
- add menu entry for the hal-device-manager

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.90-2mdk
- fix buildrequires

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.90-1mdk
- Release 0.2.90 (grabbed from project Utopia)
- Requires pciutils to get pci.ids file 

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-5mdk
- fix buildrequires

* Sat Jan 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-4mdk
- fix devel requires

* Fri Jan 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-3mdk
- fix buildrequires

* Thu Jan 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix hal-gnome dependency (houpla)

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-1mdk
- First Mandrake package  (based on David Zeuthen package)
- Patch0 : fix lock directory location

